import { Uid, Str, Bool } from 'pinia-orm/dist/decorators'
import ApiModel from '~/models/ApiModel'

/**
 * Maestro Model : ContactRequest
 *
 * @see https://gitlab.2iopenservice.com/opentalent/maestro/-/blob/master/src/ApiResource/ContactRequest.php?ref_type=heads
 */
export default class ContactRequest extends ApiModel {
  static entity = 'contact_request'

  @Uid()
  declare id: number

  @Str(null)
  declare name: string | null

  @Str(null)
  declare surname: string | null

  @Str(null)
  declare email: string | null

  @Str(null)
  declare structureName: string | null

  @Str(null)
  declare message: string | null

  @Bool(false)
  declare privacyPolicyAccepted: boolean

  @Str(null)
  declare gender: string | null

  @Str(null)
  declare postalCode: string | null

  @Str(null)
  declare city: string | null

  @Str(null)
  declare phone: string | null

  @Str(null)
  declare requestType: string | null

  @Str(null)
  declare concernedProduct: string | null

  @Bool(false)
  declare newsletterSubscription: boolean
}
